commit:     9e186426c3b4ebbc99279e0aa1eec83d5d123c5f
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 15 18:58:35 2025 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Tue Sep 16 04:57:43 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e186426

www-client/dillo: sync live ebuild

Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 www-client/dillo/dillo-3.2.0.ebuild | 27 ++++++++++++++------
 www-client/dillo/dillo-9999.ebuild  | 49 ++++++++++++++++++++++++++-----------
 2 files changed, 54 insertions(+), 22 deletions(-)

diff --git a/www-client/dillo/dillo-3.2.0.ebuild 
b/www-client/dillo/dillo-3.2.0.ebuild
index 9146ea7cf57b..150de4906b5e 100644
--- a/www-client/dillo/dillo-3.2.0.ebuild
+++ b/www-client/dillo/dillo-3.2.0.ebuild
@@ -8,11 +8,20 @@ inherit autotools toolchain-funcs virtualx xdg-utils
 DESCRIPTION="Lean FLTK based web browser"
 HOMEPAGE="https://dillo-browser.github.io/";
 
-SRC_URI="https://github.com/dillo-browser/dillo/releases/download/v${PV}/${P}.tar.bz2";
-LICENSE="GPL-3+"
-SLOT="0"
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/dillo-browser/dillo.git";
+else
+       
SRC_URI="https://github.com/dillo-browser/dillo/releases/download/v${PV}/${P}.tar.bz2";
+       KEYWORDS="~amd64 ~x86"
+
+       PATCHES=(
+               "${FILESDIR}/dillo-3.2.0-mbedtls-3.patch"
+       )
+fi
 
-KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-3"
+SLOT="0"
 IUSE="debug doc +gif +jpeg mbedtls +png +ssl +openssl +xembed"
 REQUIRED_USE="
        ssl? ( || ( openssl mbedtls ) )
@@ -46,10 +55,6 @@ BDEPEND="
 
 DOCS="AUTHORS ChangeLog README NEWS doc/*.txt doc/README"
 
-PATCHES=(
-       "${FILESDIR}/dillo-3.2.0-mbedtls-3.patch"
-)
-
 src_prepare() {
        default
        eautoreconf
@@ -68,6 +73,12 @@ src_configure() {
                --enable-ipv6
        )
 
+       if [[ ${PV} == *9999* ]]; then
+               myeconfargs+=(
+                       --enable-svg # Vendored nanosvg dep, no point in 
disabling
+               )
+       fi
+
        use mbedtls && myeconfargs+=(
                --with-mbedtls-inc="${ESYSROOT}/usr/include/mbedtls3"
        )

diff --git a/www-client/dillo/dillo-9999.ebuild 
b/www-client/dillo/dillo-9999.ebuild
index c660f5759b1b..150de4906b5e 100644
--- a/www-client/dillo/dillo-9999.ebuild
+++ b/www-client/dillo/dillo-9999.ebuild
@@ -14,6 +14,10 @@ if [[ ${PV} == *9999* ]]; then
 else
        
SRC_URI="https://github.com/dillo-browser/dillo/releases/download/v${PV}/${P}.tar.bz2";
        KEYWORDS="~amd64 ~x86"
+
+       PATCHES=(
+               "${FILESDIR}/dillo-3.2.0-mbedtls-3.patch"
+       )
 fi
 
 LICENSE="GPL-3"
@@ -30,26 +34,23 @@ RDEPEND="
        jpeg? ( media-libs/libjpeg-turbo:= )
        png? ( >=media-libs/libpng-1.2:= )
        ssl? (
-               mbedtls? ( net-libs/mbedtls:0= )
+               mbedtls? ( net-libs/mbedtls:3= )
                openssl? ( dev-libs/openssl:= )
        )
-       test? (
-               media-fonts/dejavu
-               media-gfx/imagemagick[X]
-               x11-apps/xwd
-               x11-apps/xwininfo
-       )
 "
-
-DEPEND="
-       ${RDEPEND}
-"
-
+DEPEND="${RDEPEND}"
 BDEPEND="
        doc? (
                app-text/doxygen[dot]
                app-text/texlive
        )
+       test? (
+               media-fonts/dejavu
+               media-gfx/imagemagick[X]
+               x11-apps/xwd
+               x11-apps/xwininfo
+               x11-base/xorg-server[xvfb]
+       )
 "
 
 DOCS="AUTHORS ChangeLog README NEWS doc/*.txt doc/README"
@@ -69,10 +70,18 @@ src_configure() {
                $(use_enable png)
                $(use_enable ssl tls)
                $(use_enable xembed)
-               --enable-svg # Vendored nanosvg dep, no point in disabling
                --enable-ipv6
        )
 
+       if [[ ${PV} == *9999* ]]; then
+               myeconfargs+=(
+                       --enable-svg # Vendored nanosvg dep, no point in 
disabling
+               )
+       fi
+
+       use mbedtls && myeconfargs+=(
+               --with-mbedtls-inc="${ESYSROOT}/usr/include/mbedtls3"
+       )
        use test && myeconfargs+=( --enable-html-tests=yes )
 
        econf "${myeconfargs[@]}"
@@ -87,8 +96,18 @@ src_compile() {
 }
 
 src_test() {
+       # Prepare test framework (#942051)
+       local test_dir="${WORKDIR}/build-test"
+       emake DESTDIR="${test_dir}" install
+       mkdir -p "${HOME}/.dillo/" || die
+
+       # dillo expects dpid binary in homedir
+       cp "${test_dir}"/etc/dillo/* dpid/dpid "${HOME}/.dillo/" || die
+       sed -e 
"s|[@]libdir[@]|${test_dir}/usr/$(get_libdir)|;s|[@]EXEEXT[@]||g" \
+               dpid/dpidrc.in > "${HOME}/.dillo/dpidrc" || die
+
        # The test suite consistently fails with -jN in portage
-       virtx emake -j1 check
+       DILLOBIN="${test_dir}/usr/bin/dillo" virtx emake -j1 check
 }
 
 src_install() {
@@ -99,8 +118,10 @@ src_install() {
 
 pkg_postinst() {
        xdg_desktop_database_update
+       xdg_icon_cache_update
 }
 
 pkg_postrm() {
        xdg_desktop_database_update
+       xdg_icon_cache_update
 }

Reply via email to